<?php   
class ControllerError extends Controller {   
	function index() {		
		$language =& $this->locator->get('language');
		$module   =& $this->locator->get('module');
		$response =& $this->locator->get('response');
		$template =& $this->locator->get('template');
		$url      =& $this->locator->get('url');	
			
		$language->load('controller/error.php');    	
		
    	$view = $this->locator->create('template');

    	$view->set('heading_error', $language->get('heading_error'));

    	$view->set('text_error', $language->get('text_error'));
    
    	$view->set('continue', $url->href(''));
    
		$template->set('content', $view->fetch('content/error.tpl'));
	
		$template->set($module->fetchPublic()); 
	
		$response->set($template->fetch('layout.tpl'));
  	}
}
?>